Bug 114239 - Kernel Oops in the morning, iptables related i think
Kernel Oops in the morning, iptables related i think
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-25 03:48 EST by Jérôme Benoit
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-19 11:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jérôme Benoit 2004-01-25 03:48:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.4.1)
Gecko/20031114

Description of problem:
Jan 25 07:38:29 fraggle kernel: Unable to handle kernel paging request
at virtual address df186844
Jan 25 07:38:29 fraggle kernel:  printing eip:
Jan 25 07:38:29 fraggle kernel: c01395c1
Jan 25 07:38:29 fraggle kernel: *pde = 00000000
Jan 25 07:38:29 fraggle kernel: Oops: 0002
Jan 25 07:38:29 fraggle kernel: iptable_nat iptable_mangle ipt_REJECT
ipt_state ip_conntrack iptable_filter ip_tables nls_iso8859-1 udf
sr_mod es1371 ac97_codec gameport soundcore parport_pc
Jan 25 07:38:29 fraggle kernel: CPU:    0
Jan 25 07:38:29 fraggle kernel: EIP:    0060:[<c01395c1>]    Not tainted
Jan 25 07:38:29 fraggle kernel: EFLAGS: 00010013
Jan 25 07:38:29 fraggle kernel:
Jan 25 07:38:29 fraggle kernel: EIP is at kmem_cache_free [kernel]
0x41 (2.4.22-1.2163.nptl)
Jan 25 07:38:29 fraggle kernel: eax: ffffffff   ebx: d7193000   ecx:
01ffce0b   edx: 00000000
Jan 25 07:38:29 fraggle kernel: esi: dbf72eac   edi: 00000282   ebp:
c145f770   esp: dbf65f10
Jan 25 07:38:30 fraggle kernel: ds: 0068   es: 0068   ss: 0068
Jan 25 07:38:30 fraggle kernel: Process kswapd (pid: 5,
stackpage=dbf65000)
Jan 25 07:38:31 fraggle kernel: Stack: d7003640 d7003640 d7003640
c01454b7 dbf72eac d7003640 c014784d d7003640
Jan 25 07:38:31 fraggle kernel:        00000000 c145f770 c033c298
0000429c c013a6b7 c145f770 000001d0 dbf64000
Jan 25 07:38:31 fraggle kernel:        00000c80 000001d0 0000001b
00000020 000001d0 c033c298 c033c298 c013a8ed
Jan 25 07:38:31 fraggle kernel: Call Trace:   [<c01454b7>]
__put_unused_buffer_head [kernel] 0x57 (0xdbf65f1c)
Jan 25 07:38:31 fraggle kernel: [<c014784d>] try_to_free_buffers
[kernel] 0x5d (0xdbf65f28)
Jan 25 07:38:32 fraggle kernel: [<c013a6b7>] shrink_cache [kernel]
0x2d7 (0xdbf65f40)
Jan 25 07:38:33 fraggle kernel: [<c013a8ed>] shrink_caches [kernel]
0x3d (0xdbf65f6c)
Jan 25 07:38:33 fraggle kernel: [<c013a963>] try_to_free_pages_zone
[kernel] 0x53 (0xdbf65f80)
Jan 25 07:38:33 fraggle kernel: [<c013aafe>] kswapd_balance_pgdat
[kernel] 0x5e (0xdbf65fa4)
Jan 25 07:38:34 fraggle kernel: [<c013ab59>] kswapd_balance [kernel]
0x19 (0xdbf65fbc)
Jan 25 07:38:34 fraggle kernel: [<c013ac8d>] kswapd [kernel] 0x9d
(0xdbf65fcc)
Jan 25 07:38:35 fraggle kernel: [<c013abf0>] kswapd [kernel] 0x0
(0xdbf65fe4)
Jan 25 07:38:35 fraggle kernel: [<c010719d>] kernel_thread_helper
[kernel] 0x5 (0xdbf65ff0)
Jan 25 07:38:36 fraggle kernel:
Jan 25 07:38:37 fraggle kernel:
Jan 25 07:38:37 fraggle kernel: Code: 89 44 8b 18 8b 53 10 89 4b 14 8d
42 ff 85 c0 89 43 10 74 39

And so on, no login possible after.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2163.nptl

How reproducible:
Didn't try

Steps to Reproduce:
1. No way
2.
3.
    

Additional info:
Comment 1 Jérôme Benoit 2004-01-27 03:03:05 EST
Hi,

This morning again, at logon each time, Oops again : 

Jan 27 08:18:10 fraggle kernel: Unable to handle kernel paging request
at virtual address e0e146a0
Jan 27 08:18:10 fraggle kernel:  printing eip:
Jan 27 08:18:10 fraggle kernel: c01395c1
Jan 27 08:18:10 fraggle kernel: *pde = 00000000
Jan 27 08:18:10 fraggle kernel: Oops: 0002
Jan 27 08:18:10 fraggle kernel: joydev floppy sr_mod es1371 ac97_codec
gameport soundcore parport_pc lp parport sd_mod ide-cd cdrom ide-scsi
scsi_mod autofs ppp_synctty ppp_async ppp_generic
Jan 27 08:18:10 fraggle kernel: CPU:    0
Jan 27 08:18:10 fraggle kernel: EIP:    0060:[<c01395c1>]    Not tainted
Jan 27 08:18:10 fraggle kernel: EFLAGS: 00010012
Jan 27 08:18:10 fraggle kernel:
Jan 27 08:18:10 fraggle kernel: EIP is at kmem_cache_free [kernel]
0x41 (2.4.22-1.2163.nptl)
Jan 27 08:18:10 fraggle kernel: eax: 00000000   ebx: da0fd000   ecx:
01b45da2   edx: 00000001
Jan 27 08:18:10 fraggle kernel: esi: dbf72eac   edi: 00000282   ebp:
c12343e0   esp: dbf65f10
Jan 27 08:18:14 fraggle kernel: ds: 0068   es: 0068   ss: 0068
Jan 27 08:18:20 fraggle kernel: Process kswapd (pid: 5,
stackpage=dbf65000)
Jan 27 08:18:31 fraggle kernel: Stack: da2ed140 da2ed140 da2ed140
c01454b7 dbf72eac da2ed140 c014784d da2ed140
Jan 27 08:18:41 fraggle kernel:        00000000 c12343e0 c033c298
0000436c c013a6b7 c12343e0 000001d0 dbf64000
Jan 27 08:18:46 fraggle kernel:        00000c13 000001d0 00000013
00000020 000001d0 c033c298 c033c298 c013a8ed
Jan 27 08:18:50 fraggle pppd[20510]: Child process /usr/sbin/pppoe -p
/var/run/pppoe-adsl.pid.pppoe -I eth0 -T 80 -U  -m 1412    (pid 20511)
terminated with signal 11
Jan 27 08:18:50 fraggle kernel: Call Trace:   [<c01454b7>]
__put_unused_buffer_head [kernel] 0x57 (0xdbf65f1c)
Jan 27 08:18:59 fraggle kernel: [<c014784d>] try_to_free_buffers
[kernel] 0x5d (0xdbf65f28)
Jan 27 08:19:00 fraggle kernel: [<c013a6b7>] shrink_cache [kernel]
0x2d7 (0xdbf65f40)
Jan 27 08:19:01 fraggle kernel: [<c013a8ed>] shrink_caches [kernel]
0x3d (0xdbf65f6c)
Jan 27 08:19:01 fraggle kernel: [<c013a963>] try_to_free_pages_zone
[kernel] 0x53 (0xdbf65f80)
Jan 27 08:19:01 fraggle kernel: [<c013aafe>] kswapd_balance_pgdat
[kernel] 0x5e (0xdbf65fa4)
Jan 27 08:19:02 fraggle kernel: [<c013ab59>] kswapd_balance [kernel]
0x19 (0xdbf65fbc)
Jan 27 08:19:02 fraggle kernel: [<c013ac8d>] kswapd [kernel] 0x9d
(0xdbf65fcc)
Jan 27 08:19:02 fraggle kernel: [<c013abf0>] kswapd [kernel] 0x0
(0xdbf65fe4)
Jan 27 08:19:02 fraggle kernel: [<c010719d>] kernel_thread_helper
[kernel] 0x5 (0xdbf65ff0)
Jan 27 08:19:02 fraggle kernel:
Jan 27 08:19:02 fraggle kernel:
Jan 27 08:19:02 fraggle kernel: Code: 89 44 8b 18 8b 53 10 89 4b 14 8d
42 ff 85 c0 89 43 10 74 39

This machine is never rebooted and each morning at logon, Oops. Don't
know really why but i must reboot the box to "revive" it ...

An idea ? Please :) ACPI related ? must disable maybe to test.
Comment 2 Don Himelrick 2004-02-05 10:42:55 EST
This is a shot in the dark, but what the heck?  I had kernel opps
every 1 to 5 minutes with FC1 once I turned on ipchains (not iptables)
with pppoe (which I noticed in your oops text).  The box I set up was
perfectly stable for the first 48 hours after install, then when I
tried to use it to replace my home ADSL router it crapped out on me. 
I tried to use my ipchains based firewall from my existing RH9 based
router.  Once I switched to iptables, everything worked fine.  AS far
as I could tell, I only had problems when my ipchains firewall AND
pppoe were both running AND traffic was going between eth0 and ppp0
(eth1).
Comment 3 Jérôme Benoit 2004-02-05 16:53:44 EST
Sorry for the late reply,

it's ACPI related, booting with acpi=no and stopping acpid deamon
cured the Oops. The Oops occured after "resuming" the system each morning.

Pb solved.
Comment 4 Dave Jones 2004-06-19 11:31:25 EDT
the oops above should have been fixed in the VM updates that went in
circa the 2163 kernel.

Note You need to log in before you can comment on or make changes to this bug.